## print-manager 15.04.0%7egit20150217

=== CMakeLists.txt ===
project(print-manager)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.3.0")

# Print-Manager version
set(PM_VERSION "0.3.0" CACHE STRING "Print Manager version")

################# set KDE specific information #################

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

include(ECMPackageConfigHelpers)
include(ECMOptionalAddSubdirectory)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Network
    Widgets
    Designer
    Qml
    Quick
)

find_package(CUPS "1.5" REQUIRED)

find_package(KF5 REQUIRED Config ConfigWidgets CoreAddons DBusAddons IconThemes I18n KCMUtils KIO
             Notifications Plasma WidgetsAddons WindowSystem ItemViews)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)

# Generate config.h
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)


include_directories(${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/libkcups
    ${CUPS_INCLUDE_DIR}
)

add_definitions(-DTRANSLATION_DOMAIN="print-manager")

add_subdirectory(libkcups)
add_subdirectory(configure-printer)
add_subdirectory(add-printer)
add_subdirectory(printer-manager-kcm)
add_subdirectory(printqueue)
add_subdirectory(print-manager-kded)
add_subdirectory(plasmoid)
add_subdirectory(declarative-plugins)

## print-manager 15.08.2

=== debian/changelog ===
print-manager (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 13:06:28 +0100

print-manager (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:46:31 +0100

print-manager (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 18:21:24 +0100

print-manager (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 12:32:52 +0100

print-manager (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Revert patch changes. 
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 22:43:07 +0200

=== debian/control ===
Source: print-manager
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kio-dev,
               libcups2-dev (>= 1.5),
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kcmutils-dev,
               libkf5notifications-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               plasma-framework-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               qttools5-dev
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/print-manager.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/print-manager.git

Package: print-manager
Architecture: any
Depends: plasma-framework, ${misc:Depends}, ${shlibs:Depends}
Recommends: cups, system-config-printer, system-config-printer-udev
Description: printer configuration and monitoring tools
 This package provides a KDE configuration module and a Plasma widget for
 installing and configuring printers, and monitoring printers, print jobs and
 print queues.
 .
 This package is part of the KDE utilities module.

## print-manager 15.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,6 @@
     DBus
     Network
     Widgets
-    Designer
     Qml
     Quick
 )

=== debian/changelog ===
print-manager (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:29:10 -0700

print-manager (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * Merged with Debian

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:35:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules,
+               extra-cmake-modules (>= 1.3.0),
                kio-dev,
                libcups2-dev (>= 1.5),
                libkf5config-dev,
@@ -20,14 +20,14 @@
                libkf5widgetsaddons-dev,
                libkf5windowsystem-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.12),
+               pkg-kde-tools (>> 0.15.15),
                plasma-framework-dev,
-               qtbase5-dev,
-               qtdeclarative5-dev,
-               qttools5-dev
+               qtbase5-dev (>= 5.3.0~),
+               qtdeclarative5-dev (>= 5.3.0~),
+               qttools5-dev (>= 5.3)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/print-manager.git/
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/print-manager.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/print-manager.git
 
 Package: print-manager

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/print-manager-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/print-manager-([\d.]+).tar.xz

## print-manager 16.04.3

=== debian/changelog ===
print-manager (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

  [ José Manuel Santamaría Lema ]
  * Refresh kubuntu_ignore_scp_dbus_failures.diff
  * Add kubuntu_fix_ftbfs_cups22.diff to avoid FTBFS'ing with CUPS 2.2

  [ Rik Mills ]
  * Additional package-must-activate-ldconfig-trigger lintian override

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:41:51 +0200

=== debian/control ===
Source: print-manager
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libcups2-dev (>= 1.5),
               libkf5config-dev (>= 5.24.0~),
               libkf5configwidgets-dev (>= 5.24.0~),
               libkf5coreaddons-dev (>= 5.24.0~),
               libkf5dbusaddons-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5iconthemes-dev (>= 5.24.0~),
               libkf5itemviews-dev (>= 5.24.0~),
               libkf5kcmutils-dev (>= 5.24.0~),
               libkf5notifications-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               libkf5windowsystem-dev (>= 5.24.0~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               plasma-framework-dev (>= 5.24.0~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager

Package: print-manager
Architecture: any
Depends: plasma-framework, ${misc:Depends}, ${shlibs:Depends}
Recommends: cups, system-config-printer, system-config-printer-udev
Description: printer configuration and monitoring tools
 This package provides a KDE configuration module and a Plasma widget for
 installing and configuring printers, and monitoring printers, print jobs and
 print queues.
 .
 This package is part of the KDE utilities module.

## print-manager 16.08.3

=== debian/control ===
Source: print-manager
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0),
               kio-dev,
               libcups2-dev (>= 1.5),
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kcmutils-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5plasma-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               plasma-framework-dev,
               qtbase5-dev (>= 5.3.0~),
               qtdeclarative5-dev (>= 5.3.0~),
               qttools5-dev (>= 5.3)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/print-manager.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/print-manager.git

Package: print-manager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cups, system-config-printer-common, system-config-printer-udev
Description: printer configuration and monitoring tools
 This package provides a KDE configuration module and a Plasma widget for
 installing and configuring printers, and monitoring printers, print jobs and
 print queues.
 .
 This package is part of the KDE utilities module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/print-manager-([\d.]+).tar.xz

## print-manager 16.12.3

=== debian/changelog ===
print-manager (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:24:12 +0000

print-manager (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:12:49 +0000

=== debian/control ===
Source: print-manager
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libcups2-dev (>= 1.5),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5plasma-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager

Package: print-manager
Architecture: any
Depends: plasma-framework, ${misc:Depends}, ${shlibs:Depends}
Recommends: cups, system-config-printer, system-config-printer-udev
Description: printer configuration and monitoring tools
 This package provides a KDE configuration module and a Plasma widget for
 installing and configuring printers, and monitoring printers, print jobs and
 print queues.
 .
 This package is part of the KDE utilities module.

## print-manager 17.04.3

=== debian/changelog ===
print-manager (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:28:06 +0100

## print-manager 17.08.3

=== debian/control ===
Source: print-manager
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0),
               libcups2-dev (>= 1.5),
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kcmutils-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5plasma-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.3.0~),
               qtdeclarative5-dev (>= 5.3.0~),
               qttools5-dev (>= 5.3),
Standards-Version: 4.1.1
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/print-manager.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/print-manager.git

Package: print-manager
Architecture: any
Depends: plasma-framework, ${misc:Depends}, ${shlibs:Depends}
Recommends: cups, system-config-printer-common, system-config-printer-udev
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: printer configuration and monitoring tools
 This package provides a KDE configuration module and a Plasma widget for
 installing and configuring printers, and monitoring printers, print jobs and
 print queues.
 .
 This package is part of the KDE utilities module.

## print-manager 17.12.3

=== print-manager-kded/CMakeLists.txt ===
set(printmanagerkded_SRCS
    Debug.cpp
    NewPrinterNotification.cpp
    PrintManagerKded.cpp
)

qt5_add_dbus_adaptor(printmanagerkded_SRCS
    com.redhat.NewPrinterNotification.xml
    NewPrinterNotification.h
    NewPrinterNotification
)

add_library(kded_printmanager MODULE ${printmanagerkded_SRCS})

target_link_libraries(kded_printmanager
    Qt5::Core
    KF5::DBusAddons
    KF5::Notifications
    kcupslib
)

install(TARGETS kded_printmanager DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES printmanager.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)
install(FILES printmanager.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

=== debian/changelog ===
print-manager (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:34:34 +0000

print-manager (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:03:39 +0000

print-manager (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:14:08 +0000

=== debian/control ===
Source: print-manager
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libcups2-dev (>= 1.5),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5plasma-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager

Package: print-manager
Architecture: any
Depends: plasma-framework, ${misc:Depends}, ${shlibs:Depends}
Recommends: cups, system-config-printer, system-config-printer-udev
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: printer configuration and monitoring tools
 This package provides a KDE configuration module and a Plasma widget for
 installing and configuring printers, and monitoring printers, print jobs and
 print queues.
 .
 This package is part of the KDE utilities module.

## print-manager 18.04.3

=== debian/changelog ===
print-manager (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:24:23 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
-               qttools5-dev (>= 5.6.1~)
+               qttools5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager

## print-manager 18.12.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
cmake_policy(SET CMP0048 NEW)

project(print-manager VERSION 0.5.0)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.9.0")
set(KF5_VERSION "5.42.0")



################# set KDE specific information #################

find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMPackageConfigHelpers)
include(ECMOptionalAddSubdirectory)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Network
    Widgets
    Qml
    Quick
)

find_package(CUPS "1.5" REQUIRED)

find_package(KF5 ${KF5_VERSION} REQUIRED Config ConfigWidgets CoreAddons DBusAddons IconThemes I18n KCMUtils KIO
             Notifications Plasma WidgetsAddons WindowSystem)

add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050900
    -DQT_USE_FAST_OPERATOR_PLUS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_CAST_FROM_ASCII
)

remove_definitions(-DQT_NO_KEYWORDS)

# Generate config.h
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)


include_directories(${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/libkcups
    ${CUPS_INCLUDE_DIR}
)

add_definitions(-DTRANSLATION_DOMAIN="print-manager")

add_subdirectory(libkcups)
add_subdirectory(configure-printer)
add_subdirectory(add-printer)
add_subdirectory(printer-manager-kcm)
add_subdirectory(printqueue)
add_subdirectory(print-manager-kded)
add_subdirectory(plasmoid)
add_subdirectory(declarative-plugins)
ki18n_install(po)

=== debian/changelog ===
print-manager (4:18.12.1-2+deb10u1.1) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:34:27 +0800

print-manager (4:18.12.1-2+deb10u1) buster; urgency=medium

  * Team upload.
  * Backport fix_crash_when_cups_returns_jobs_with_duplicate_id.patch. This
    fixes a longstanding bug when multiple print job IDs are given the same
    ID, and so it was not easy to reproduce (Closes: #910879).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 25 Jan 2020 16:08:59 -0300

=== debian/control ===
Source: print-manager
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper (>= 12),
               extra-cmake-modules (>= 1.3.0),
               libcups2-dev (>= 1.5),
               libkf5config-dev  (>= 5.42.0~),
               libkf5configwidgets-dev (>= 5.42.0~),
               libkf5coreaddons-dev (>= 5.42.0~),
               libkf5dbusaddons-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5iconthemes-dev (>= 5.42.0~),
               libkf5kcmutils-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5notifications-dev (>= 5.42.0~),
               libkf5plasma-dev (>= 5.42.0~),
               libkf5widgetsaddons-dev (>= 5.42.0~),
               libkf5windowsystem-dev (>= 5.42.0~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qttools5-dev (>= 5.9),
Standards-Version: 4.3.0
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/print-manager
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/print-manager.git

Package: print-manager
Architecture: any
Depends: plasma-framework, ${misc:Depends}, ${shlibs:Depends}
Recommends: cups, system-config-printer-common, system-config-printer-udev
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: printer configuration and monitoring tools
 This package provides a KDE configuration module and a Plasma widget for
 installing and configuring printers, and monitoring printers, print jobs and
 print queues.
 .
 This package is part of the KDE utilities module.

## print-manager 18.12.1.1+rb2

=== debian/changelog ===
print-manager (4:18.12.1.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 01 Feb 2021 16:05:37 +0800

## print-manager 18.12.3

=== debian/changelog ===
print-manager (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:35:57 +0000

print-manager (4:18.12.2-0ubuntu1) disco; urgency=medium

  * Use compat 11 so we can backport to earlier releases.
  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:22:55 +0000

print-manager (4:18.12.1-2ubuntu1) disco; urgency=medium

  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Kubuntu Vcs fields.
    - Refer to launchpad bug in patches.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 04 Feb 2019 09:01:49 +0000

print-manager (4:18.12.1-1ubuntu1) disco; urgency=medium

  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Kubuntu Vcs fields.
    - Refer to launchpad bug in patches.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Feb 2019 10:18:23 +0000

print-manager (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:16:12 +0000

print-manager (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:54:28 +0000

print-manager (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Refresh patches.
    - Kubuntu Vcs fields.
    - Bumped build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Dec 2018 17:13:06 +0000

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
            Scarlett Moore <sgmoore@kde.org>,
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.1~),
-               debhelper (>= 12),
+               debhelper (>= 11),
                extra-cmake-modules (>= 1.3.0),
                libcups2-dev (>= 1.5),
-               libkf5config-dev  (>= 5.42.0~),
+               libkf5config-dev (>= 5.42.0~),
                libkf5configwidgets-dev (>= 5.42.0~),
                libkf5coreaddons-dev (>= 5.42.0~),
                libkf5dbusaddons-dev (>= 5.42.0~),
@@ -28,8 +28,8 @@
                qttools5-dev (>= 5.9),
 Standards-Version: 4.3.0
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/print-manager
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/print-manager.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
 
 Package: print-manager
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## print-manager 19.04.3

=== debian/changelog ===
print-manager (4:19.04.3-1ubuntu2) eoan; urgency=medium

  * Add recommends on smbclient. KDE now recommend this as runtime
    dependency for smb printer detection.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Aug 2019 10:42:24 +0100

print-manager (4:19.04.3-1ubuntu1) eoan; urgency=medium

  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Kubuntu Vcs fields.
    - Refer to launchpad bug in patches.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 24 Jul 2019 09:00:44 +0100

print-manager (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:21:36 +0100

print-manager (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:17:27 +0100

print-manager (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:05:05 +0100

print-manager (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * Update activate_password_dialog patch.
  * Drop upstream applied Show-more-information-on-CUPS-auth-
    dialog.patch
  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:50:21 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
            Scarlett Moore <sgmoore@kde.org>,
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.1~),
-               debhelper (>= 11),
+               debhelper (>= 12),
                extra-cmake-modules (>= 1.3.0),
                libcups2-dev (>= 1.5),
-               libkf5config-dev (>= 5.42.0~),
+               libkf5config-dev  (>= 5.42.0~),
                libkf5configwidgets-dev (>= 5.42.0~),
                libkf5coreaddons-dev (>= 5.42.0~),
                libkf5dbusaddons-dev (>= 5.42.0~),
@@ -34,7 +34,7 @@
 Package: print-manager
 Architecture: any
 Depends: plasma-framework, ${misc:Depends}, ${shlibs:Depends}
-Recommends: cups, system-config-printer-common, system-config-printer-udev
+Recommends: cups, system-config-printer-common, system-config-printer-udev, smbclient
 Breaks: ${kde-l10n:all}
 Replaces: ${kde-l10n:all}
 Description: printer configuration and monitoring tools

## print-manager 19.08.1

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.1~),
                debhelper (>= 12),
-               extra-cmake-modules (>= 1.3.0),
+               extra-cmake-modules (>= 5.42.0~),
                libcups2-dev (>= 1.5),
-               libkf5config-dev  (>= 5.42.0~),
+               libkf5config-dev (>= 5.42.0~),
                libkf5configwidgets-dev (>= 5.42.0~),
                libkf5coreaddons-dev (>= 5.42.0~),
                libkf5dbusaddons-dev (>= 5.42.0~),
@@ -26,17 +26,15 @@
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
                qttools5-dev (>= 5.9),
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/print-manager
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/print-manager.git
 
 Package: print-manager
 Architecture: any
 Depends: plasma-framework, ${misc:Depends}, ${shlibs:Depends}
-Recommends: cups, system-config-printer-common, system-config-printer-udev, smbclient
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
+Recommends: cups, system-config-printer-common, system-config-printer-udev
 Description: printer configuration and monitoring tools
  This package provides a KDE configuration module and a Plasma widget for
  installing and configuring printers, and monitoring printers, print jobs and

## print-manager 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,21 @@
 cmake_minimum_required(VERSION 3.1)
-cmake_policy(SET CMP0048 NEW)
 
-project(print-manager VERSION 0.5.0)
+# KDE Application Version, managed by release script
+set (KDE_APPLICATIONS_VERSION_MAJOR "19")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MICRO "3")
+set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
-cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
+project(print-manager VERSION ${KDE_APPLICATIONS_VERSION})
+
 set(QT_MIN_VERSION "5.9.0")
-set(KF5_VERSION "5.42.0")
+set(KF5_MIN_VERSION "5.62.0")
 
 
 
 ################# set KDE specific information #################
 
-find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 include(KDEInstallDirs)
@@ -33,8 +37,16 @@
 
 find_package(CUPS "1.5" REQUIRED)
 
-find_package(KF5 ${KF5_VERSION} REQUIRED Config ConfigWidgets CoreAddons DBusAddons IconThemes I18n KCMUtils KIO
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED Config ConfigWidgets CoreAddons DBusAddons IconThemes I18n KCMUtils KIO
              Notifications Plasma WidgetsAddons WindowSystem)
+
+find_package(CupsSmb)
+set_package_properties(CupsSmb PROPERTIES
+    TYPE RUNTIME
+    DESCRIPTION "SMB backend for CUPS (aka smbspool)"
+    PURPOSE "Required for CUPS to be able to print to printers shared over SMB"
+    URL "https://samba.org"
+)
 
 add_definitions(
     -DQT_DISABLE_DEPRECATED_BEFORE=0x050900
@@ -58,6 +70,8 @@
     ${CUPS_INCLUDE_DIR}
 )
 
+install(FILES org.kde.print-manager.metainfo.xml DESTINATION "${KDE_INSTALL_METAINFODIR}")
+
 add_definitions(-DTRANSLATION_DOMAIN="print-manager")
 
 add_subdirectory(libkcups)
@@ -68,4 +82,6 @@
 add_subdirectory(print-manager-kded)
 add_subdirectory(plasmoid)
 add_subdirectory(declarative-plugins)
+
+feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)

=== add-printer/CMakeLists.txt ===
set(addprinter_SRCS
    main.cpp
    AddPrinter.cpp
    DevicesModel.cpp
    GenericPage.cpp
    PageDestinations.cpp
    ChooseLpd.cpp
    ChooseSamba.cpp
    ChooseSerial.cpp
    ChooseSocket.cpp
    ChooseUri.cpp
    PageChoosePrinters.cpp
    PageChoosePPD.cpp
    PageAddPrinter.cpp
    AddPrinterAssistant.cpp
)

ki18n_wrap_ui(addprinter_SRCS
    PageDestinations.ui
    ChooseLpd.ui
    ChooseSamba.ui
    ChooseSerial.ui
    ChooseSocket.ui
    ChooseUri.ui
    PageChoosePrinters.ui
    PageChoosePPD.ui
    PageAddPrinter.ui
)

add_executable(kde-add-printer
    ${addprinter_SRCS}
)

target_link_libraries(kde-add-printer
    Qt5::Core
    Qt5::Widgets
    Qt5::Network
    KF5::CoreAddons
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::ConfigCore
    ${CUPS_LIB}
    kcupslib
)

install(TARGETS kde-add-printer DESTINATION ${BIN_INSTALL_DIR})
install(PROGRAMS org.kde.kde-add-printer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== declarative-plugins/CMakeLists.txt ===
set(printmanager_qml_plugin_SRCS
   qmlplugins.cpp
)

add_library(printmanager SHARED ${printmanager_qml_plugin_SRCS})
target_link_libraries(printmanager
    Qt5::Qml
    Qt5::Quick
    kcupslib
)

install(TARGETS printmanager DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/printmanager)
install(FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/printmanager)

=== debian/changelog ===
print-manager (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:18:38 +0000

print-manager (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:27:23 +0000

print-manager (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 15:01:50 +0000

print-manager (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:55:27 +0000

print-manager (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:40:04 +0000

print-manager (4:19.08.1-1ubuntu1) focal; urgency=medium

  * Merge form Debian unstable. Remaining changes:
    - debian/control: Recommends smbclient
    - debian/control: Kubuntu Vcs fields

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Nov 2019 11:17:53 +0000

=== debian/control ===
--- 
+++ 
@@ -28,13 +28,13 @@
                qttools5-dev (>= 5.9),
 Standards-Version: 4.4.0
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/print-manager
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/print-manager.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
 
 Package: print-manager
 Architecture: any
 Depends: plasma-framework, ${misc:Depends}, ${shlibs:Depends}
-Recommends: cups, system-config-printer-common, system-config-printer-udev
+Recommends: cups, system-config-printer-common, system-config-printer-udev, smbclient
 Description: printer configuration and monitoring tools
  This package provides a KDE configuration module and a Plasma widget for
  installing and configuring printers, and monitoring printers, print jobs and

## print-manager 20.08.1

=== debian/changelog ===
print-manager (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:03:21 +0100

print-manager (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:54:12 +0100

print-manager (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:44:50 +0100

print-manager (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:27:36 +0100

print-manager (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:43:14 +0100

print-manager (4:20.04.0-1ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Recommend smbclient.

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Apr 2020 11:56:45 +0100

=== debian/control ===
Source: print-manager
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.62.0~),
               libcups2-dev (>= 1.5),
               libkf5config-dev (>= 5.62.0~),
               libkf5configwidgets-dev (>= 5.62.0~),
               libkf5coreaddons-dev (>= 5.62.0~),
               libkf5dbusaddons-dev (>= 5.62.0~),
               libkf5i18n-dev (>= 5.62.0~),
               libkf5iconthemes-dev (>= 5.62.0~),
               libkf5kcmutils-dev (>= 5.62.0~),
               libkf5kio-dev (>= 5.62.0~),
               libkf5notifications-dev (>= 5.62.0~),
               libkf5plasma-dev (>= 5.62.0~),
               libkf5widgetsaddons-dev (>= 5.62.0~),
               libkf5windowsystem-dev (>= 5.62.0~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qttools5-dev (>= 5.9),
Standards-Version: 4.5.0
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager

Package: print-manager
Architecture: any
Depends: plasma-framework, ${misc:Depends}, ${shlibs:Depends}
Recommends: cups, system-config-printer-common, system-config-printer-udev, smbclient
Description: printer configuration and monitoring tools
 This package provides a KDE configuration module and a Plasma widget for
 installing and configuring printers, and monitoring printers, print jobs and
 print queues.
 .
 This package is part of the KDE utilities module.

## print-manager 20.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,22 @@
 cmake_minimum_required(VERSION 3.1)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "19")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "3")
-set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-project(print-manager VERSION ${KDE_APPLICATIONS_VERSION})
+project(print-manager VERSION ${RELEASE_SERVICE_VERSION})
 
 set(QT_MIN_VERSION "5.9.0")
-set(KF5_MIN_VERSION "5.62.0")
+set(KF5_MIN_VERSION "5.72.0")
 
 
 
 ################# set KDE specific information #################
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)

=== configure-printer/CMakeLists.txt ===
set(configureprinter_SRCS
    ConfigurePrinterInterface.cpp
    Debug.cpp
    ModifyPrinter.cpp
    PrinterPage.cpp
    PrinterOptions.cpp
    PrinterBehavior.cpp
    ConfigureDialog.cpp
    ConfigurePrinter.cpp
    SelectMakeModelDialog.cpp
    main.cpp
)

ki18n_wrap_ui(configureprinter_SRCS
    ModifyPrinter.ui
    PrinterOptions.ui
    PrinterBehavior.ui
)

qt5_add_dbus_adaptor(configureprinter_SRCS
    org.kde.ConfigurePrinter.xml
    ConfigurePrinterInterface.h
    ConfigurePrinterInterface
)

add_executable(configure-printer ${configureprinter_SRCS})
target_link_libraries(configure-printer
    Qt5::Core
    Qt5::Widgets
    KF5::CoreAddons
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::WidgetsAddons
    KF5::DBusAddons
    KF5::ConfigCore
    ${CUPS_LIB}
    kcupslib
)

install(TARGETS configure-printer DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.ConfigurePrinter.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== printer-manager-kcm/CMakeLists.txt ===
set(kcm_print_SRCS
    PrinterDelegate.cpp
    PrinterDescription.cpp
    PrintKCM.cpp
)

ki18n_wrap_ui(kcm_print_SRCS
    PrintKCM.ui
    PrinterDescription.ui
)

add_library(kcm_printer_manager MODULE ${kcm_print_SRCS})

target_link_libraries(kcm_printer_manager
    Qt5::Core
    Qt5::Widgets
    KF5::CoreAddons
    KF5::I18n
    KF5::KCMUtils
    kcupslib
)

install(TARGETS kcm_printer_manager DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kcm_printer_manager.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== printqueue/CMakeLists.txt ===
set(queuemanager_SRCS
    main.cpp
    PrintQueue.cpp
    PrintQueueUi.cpp
)

ki18n_wrap_ui(queuemanager_SRCS
    PrintQueueUi.ui
)

add_executable(kde-print-queue
    ${queuemanager_SRCS}
)

target_link_libraries(kde-print-queue
    Qt5::Core
    Qt5::Widgets
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::WidgetsAddons
    KF5::DBusAddons
    KF5::ConfigCore
    ${CUPS_LIB}
    kcupslib
)

install(TARGETS kde-print-queue DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.PrintQueue.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== debian/control ===
Source: print-manager
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.72.0~),
               libcups2-dev (>= 1.5),
               libkf5config-dev (>= 5.72.0~),
               libkf5configwidgets-dev (>= 5.72.0~),
               libkf5coreaddons-dev (>= 5.72.0~),
               libkf5dbusaddons-dev (>= 5.72.0~),
               libkf5i18n-dev (>= 5.72.0~),
               libkf5kcmutils-dev (>= 5.72.0~),
               libkf5kio-dev (>= 5.72.0~),
               libkf5notifications-dev (>= 5.72.0~),
               libkf5plasma-dev (>= 5.72.0~),
               libkf5widgetsaddons-dev (>= 5.72.0~),
               libkf5windowsystem-dev (>= 5.72.0~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qttools5-dev (>= 5.9.0~),
Standards-Version: 4.5.1
Homepage: https://apps.kde.org/en/print-manager
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/print-manager
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/print-manager.git
Rules-Requires-Root: no

Package: print-manager
Architecture: any
Depends: plasma-framework (>= 5.72.0~),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.72.0~),
         qml-module-qtquick-controls (>= 5.9.0~),
         qml-module-qtquick-controls2 (>= 5.9.0~),
         qml-module-qtquick-layouts (>= 5.9.0~),
         qml-module-qtquick2 (>= 5.9.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: cups,
            smbclient,
            system-config-printer-common,
            system-config-printer-udev
Description: printer configuration and monitoring tools
 This package provides a KDE configuration module and a Plasma widget for
 installing and configuring printers, and monitoring printers, print jobs and
 print queues.
 .
 This package is part of the KDE utilities module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with kf5

## print-manager 20.12.3

=== debian/changelog ===
print-manager (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:30:40 +0000

print-manager (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:03:59 +0000

print-manager (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:16:39 +0000
